Bug 22628 - FFOR and VOID show up as codes to end users in OPAC, SCO and staff
Summary: FFOR and VOID show up as codes to end users in OPAC, SCO and staff
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Martin Renvoize
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on: 12166
Blocks: 21953
  Show dependency treegraph
 
Reported: 2019-04-03 12:10 UTC by Katrin Fischer
Modified: 2019-04-25 13:07 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05


Attachments
Bug 22628: Add VOID and FFOR to relevant templates (3.50 KB, patch)
2019-04-09 12:25 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22628: Add VOID and FFOR to relevant templates (3.55 KB, patch)
2019-04-10 19:03 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 22628: Add VOID and FFOR to relevant templates (3.61 KB, patch)
2019-04-10 20:11 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22628: Add VOID and FFOR to relevant templates (2.46 KB, patch)
2019-04-11 18:11 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-04-03 12:10:31 UTC
Looking at my database I can see FFOR and VOID as codes showing up in some places:

- SCO: VOID, FFOR
- Patron account in OPAC: VOID, FFOR
- Patron account in staff: FFOR, Voided

There might be others not translating right into the templates.

Choosing normal as this is an issue in the OPAC as well.
Comment 1 Martin Renvoize 2019-04-09 12:25:09 UTC
Created attachment 87604 [details] [review]
Bug 22628: Add VOID and FFOR to relevant templates

This patch adds the VOID and FFOR codes to the releveant templates for
display purposes

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 2 Liz Rea 2019-04-10 19:03:09 UTC
Created attachment 87731 [details] [review]
Bug 22628: Add VOID and FFOR to relevant templates

This patch adds the VOID and FFOR codes to the releveant templates for
display purposes

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 3 Katrin Fischer 2019-04-10 20:11:39 UTC
Created attachment 87734 [details] [review]
Bug 22628: Add VOID and FFOR to relevant templates

This patch adds the VOID and FFOR codes to the releveant templates for
display purposes

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Liz Rea <wizzyrea@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2019-04-11 12:35:58 UTC
Rebase on top of 12166
Comment 5 Martin Renvoize 2019-04-11 18:11:30 UTC
Created attachment 87781 [details] [review]
Bug 22628: Add VOID and FFOR to relevant templates

This patch adds the VOID and FFOR codes to the releveant templates for
display purposes

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Martin Renvoize 2019-04-11 18:11:57 UTC
Rebased as requested
Comment 7 Nick Clemens 2019-04-12 11:48:37 UTC
Awesome work all!

Pushed to master for 19.05
Comment 8 Martin Renvoize 2019-04-25 13:06:59 UTC
Depends upon 12166 not in 18.11.x series.